# This file created by conda-build 26.3.0
# meta.yaml template originally from:
# /home/task_178162842159358/libffi-feedstock/recipe, last modified Tue Jun 16 16:59:06 2026
# ------------------------------------------------

package:
  name: libffi
  version: 3.4.8
source:
  url: https://github.com/libffi/libffi/releases/download/v3.4.8/libffi-3.4.8.tar.gz
  sha256: bc9842a18898bfacb0ed1252c4febcc7e78fa139fd27fdc7a3e30d9d9356119b
  patches:
    - patches/0004-LIBFFI_CLOSURE.patch
build:
  number: '3'
  run_exports:
    - libffi >=3.4.8,<3.5.0a0
  string: h06d3fd0_3
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 52_gnu
    - autoconf 2.71 pl5340h5eee18b_0
    - automake 1.16.5 pl5340h06a4308_1
    - binutils_impl_linux-64 2.44 h78f17ca_3
    - binutils_linux-64 2.44 hc03a8fd_3
    - gcc_impl_linux-64 14.3.0 h4943218_4
    - gcc_linux-64 14.3.0 hda73cce_14
    - gxx_impl_linux-64 14.3.0 he634eba_4
    - gxx_linux-64 14.3.0 hca8765c_14
    - kernel-headers_linux-64 4.18.0 h3108a97_1
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libgcc 15.2.0 h69a1729_8
    - libgcc-devel_linux-64 14.3.0 he7458c1_104
    - libgcc-ng 15.2.0 h166f726_8
    - libgomp 15.2.0 h4751f2c_8
    - libltdl 2.6.0 h47b2149_0
    - libsanitizer 14.3.0 hd4faa28_4
    - libstdcxx 15.2.0 h39759b7_8
    - libstdcxx-devel_linux-64 14.3.0 he7458c1_104
    - libtool 2.6.0 h7354ed3_0
    - m4 1.4.18 h4e445db_0
    - make 4.2.1 h1bed415_1
    - perl 5.42.2 1_h47b2149_perl5
    - sysroot_linux-64 2.28 h3108a97_1
    - tzdata 2026b he532380_0
  host:
    - _openmp_mutex 5.1 52_gnu
    - libgcc 15.2.0 h69a1729_8
    - libstdcxx 15.2.0 h39759b7_8
  run:
    - __glibc >=2.28,<3.0.a0
    - libgcc >=14
    - libstdcxx >=14
test:
  requires:
    - gcc_linux-64 14.3.0.*
    - gxx_linux-64 14.3.0.*
    - make
    - sysroot_linux-64 2.28.*
  source_files:
    - testsuite
    - testsuite/libffi.bhaible
about:
  home: https://sourceware.org/libffi
  license: MIT
  license_file: LICENSE
  license_family: MIT
  summary: A Portable Foreign Function Interface Library
  description: 'The libffi library provides a portable, high level programming interface

    to various calling conventions. This allows a programmer to call any

    function specified by a call interface description at run-time.

    '
  doc_url: https://sourceware.org/libffi
  dev_url: https://github.com/libffi/libffi
extra:
  recipe-maintainers:
    - isuruf
    - scopatz
    - stefan-balke
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/libffi-feedstock
  sha: 961c9347d6384a4feece7b2a167ed5b070e13702
  task_id: fTEI9W8ARcOwGMecDwUMkg
  task_run_id: '0'
  pbp_graph_uuid: b410aa5e-f450-40dc-a4aa-43718de08926
